Skip to main content
GET
/
v1
/
run
List recent agent runs
curl --request GET \
  --url https://api.runtools.ai/v1/run \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sandboxId": "<string>",
      "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "running",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.runtools.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

WorkOS session token or RunTools API key (rt_live_* / rt_test_*). Used in Authorization: Bearer <token> header.

Query Parameters

agent
string
status
enum<string>
Available options:
running,
completed,
failed,
cancelled
limit
integer

Maximum number of rows to return.

Required range: 1 <= x <= 500
all
boolean

Include resources for all members of the org (admin only).

Response

200 - application/json

Runs.

data
object[]